Subject: Re: bug#65023: 29.1.50; Tramp 2.6.1.1 cannot be installed as ELPA package

From: Jim Porter <[email-masked]>
Date: Mon, 7 Aug 2023 19:44:06 -0700

On 8/7/2023 8:28 AM, Michael Albinus wrote:
> Michael Albinus <[email-masked]> writes:
> 
> Hi Jim,
> 
>>> This makes the 'package-data' argument never be nil, which avoids
>>> running the broken code. I'd be a little worried about publishing this
>>> without further testing, but hopefully it (or something like it) could
>>> be a solution until 29.2 is released...
>>
>> I've tried to apply this change, but it doesn't work as expected yet.
> 
> Finally, I've decided to add the following to the Tramp README on ELPA:

Hmm, yeah, if my attempt didn't work reliably, this is probably the best 
solution for now (unless we want to spend a lot more time on this).

Maybe this is something that the "compat" patch should handle, or maybe 
there should even be a separate GNU ELPA package for Emacs hotfixes? I'm 
not sure if this would be too much extra maintenance burden though...